<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.ey.biz.module.system.dal.mapper.category.DictCalendarMapper">

    <delete id="deleteByFiscalYear">
        DELETE calendar
        FROM dict_geo_calendar calendar
                 JOIN dict_day fiscalDay ON calendar.day_id = fiscalDay.day_id
            AND fiscalDay.fiscal_year = #{fiscalYear}
        where calendar.country_region_code = #{countryRegionCode}
    </delete>
</mapper>